#ifndef SYSTEM_CONFIG_H
#define SYSTEM_CONFIG_H

// max number of used borad in a PC
#define MAX_DEV 16

//================= BAR DEFINE =================
#define BAR_USER   0
#define BAR_LLI    2

#define BAR_I2C    2

//================= I2C ========================
// Makes the association between the BUS number and the BUS BASE

#define I2C_BUS_BASE_TEMPERATURES                   0x10000
#define I2C_BUS_TEMPERATURES                        0

#define I2C_BUS_BASE_PLL_CLEANER1                   0x10020
#define I2C_BUS_PLL_CLEANER1                        1

#define I2C_BUS_BASE_PLL_CLEANER2                   0x10040
#define I2C_BUS_PLL_CLEANER2                        2

#define I2C_BUS_BASE_PLL_TFC                        0x10060
#define I2C_BUS_PLL_TFC                             3

#define I2C_BUS_BASE_FANOUT			    0x10080
#define I2C_BUS_FANOUT                              4

#define I2C_BUS_BASE_SFP1                           0x100A0
#define I2C_BUS_SFP1                                5

#define I2C_BUS_BASE_SFP2                           0x100C0
#define I2C_BUS_SFP2                                6

#define I2C_BUS_BASE_MINIPODS                       0x100E0
#define I2C_BUS_MINIPODS                            7

#define I2C_BUS_BASE_TEMP_MEZZANINE                 0x10100
#define I2C_BUS_TEMP_MEZZANINE                      8

#define I2C_BUS_BASE_FPGA_EEPROM                    0x10120
#define I2C_BUS_FPGA_EEPROM                         9

#define I2C_BUS_BASE_CURRENT1                       0x20000
#define I2C_BUS_CURRENT1                            10

#define I2C_BUS_BASE_CURRENT2                       0x20020
#define I2C_BUS_CURRENT2                            11

//============== FPGA Transceivers =====================
#define NB_RECONFIG							1	//Number of reconfig blocs (transceivers) (Max 6 link by reconfig)
#define RECONFIG_BASE_ADDR_LIST				{0x0200} 		//{addr_reconf0, addr_reconf1, addr_reconf2, addr_reconf3, ...}
#define RECONFIG_MGMT_BASE 					0x0200
#define PHY_MGMT_BASE      					0x0800

//================= USER_SPACE Master (BRIDGE) ==========
#define USER_SPACE_MASTER					0x80000

#endif
